import { SubsocialApi } from '@subsocial/api';
export interface SubsocialConnectionConfig {
    substrateUrl: string;
    ipfsNodeUrl: string;
    postConnectConfig?: (api: SubsocialApi) => void;
}
export declare const CRUST_TEST_AUTH_KEY = "c3ViLTVGQTluUURWZzI2N0RFZDhtMVp5cFhMQm52TjdTRnhZd1Y3bmRxU1lHaU45VFRwdToweDEwMmQ3ZmJhYWQwZGUwNzFjNDFmM2NjYzQzYmQ0NzIxNzFkZGFiYWM0MzEzZTc5YTY3ZWExOWM0OWFlNjgyZjY0YWUxMmRlY2YyNzhjNTEwZGY4YzZjZTZhYzdlZTEwNzY2N2YzYTBjZjM5OGUxN2VhMzAyMmRkNmEyYjc1OTBi";
declare const presets: {
    staging: SubsocialConnectionConfig;
    prod: SubsocialConnectionConfig;
};
export declare function getConnectionConfig(): SubsocialConnectionConfig;
export declare const setSubsocialConfig: (preset: keyof typeof presets, customConfig?: Partial<SubsocialConnectionConfig> | undefined) => void;
export declare const getSubsocialApi: (renew?: boolean | undefined) => Promise<SubsocialApi>;
export {};
